Bug 112636 - undefined symbol in SysVinit-2.85-15
Summary: undefined symbol in SysVinit-2.85-15
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: SysVinit (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords: SELinux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-25 17:42 UTC by Jonathan Kamens
Modified: 2014-03-17 02:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-03 14:48:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2003-12-25 17:42:45 UTC
jik:~!1475$ sudo telinit q
Password:
telinit: relocation error: telinit: undefined symbol: selinux_mnt

This went away after I installed the current libselinux package
(1.4-6).  Does the SysVinit package require a dependency or something
to address this?

Comment 1 Bill Nottingham 2003-12-25 20:39:16 UTC
CC'ing libselinux maintainer - did libselinux change ABI?

Comment 2 Daniel Walsh 2003-12-26 11:37:23 UTC
Yes.  It should require libselinux-1.4.6 or greater

Comment 3 Bill Nottingham 2004-02-27 18:52:12 UTC
Is the libselinux abi going to stabilize at some future point?

Comment 4 Bill Nottingham 2004-06-03 14:48:58 UTC
libselinux requires are there now.


Note You need to log in before you can comment on or make changes to this bug.